This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 118548 - rpm seg faults
rpm seg faults
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: rpm (Show other bugs)
2.1
i686 Linux
high Severity high
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-17 12:11 EST by Chris C
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-18 11:12:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris C 2004-03-17 12:11:19 EST
Description of problem:

pdksh doesnt recognize largfiles.  update required new version of 
glibc libraries.  did a rpm -Uhv --nodeps for the following pkgs...
glibc-2.3.2-98
glibc-common-2.3.2-98
glibc-debug-2.3.2-98
glibc-utils-2.3.2-98
glibc-devel-2.3.2-98
glibc-kernheaders-2.4-8.24
glibc-headers-2.3.2-98
glibc-profile-2.3.2-98
rpm-devel-4.0.4-7x.20
rpm-python-4.0.4-7x.20
rpm-build-4.0.4-7x.20
rpm-4.0.4-7x.20

now things are broke.  rpm database is unstable and seg faults.  i've 
checkd out other bugzillas but have had no luck getting back to old 
glibc libraries.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.  rpm -e anyrpm.rpm
2.  rpm -i anyrpm.rpm
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Chris C 2004-03-18 11:12:31 EST
issue has been resolved by doing the following...

scp glic-2.2.4-32.3.i686.rpm host:/usr/local/src/
scp rpm-4.0.4-7x.20.i386.rpm host:/usr/local/src/
rpm2cpio glic-2.2.4-32.3.i686.rpm | cpio -dim /
rpm2cpio rpm-4.0.4-7x.20.i386.rpm | cpio -dim /

this over-writes all the glibc links and rpm binaries.  i know have a 
stable system.

Note You need to log in before you can comment on or make changes to this bug.